#
# spec file for package perl-Dist-Zilla-Role-Bootstrap
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla-Role-Bootstrap
Version:        1.001003
Release:        1.1
%define cpan_name Dist-Zilla-Role-Bootstrap
Summary:        Shared logic for bootstrap things
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla-Role-Bootstrap/
Source0:        http://www.cpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Dist::Zilla::Chrome::Test)
BuildRequires:  perl(Dist::Zilla::Dist::Builder)
BuildRequires:  perl(Dist::Zilla::MVP::Assembler::Zilla)
BuildRequires:  perl(Dist::Zilla::MVP::Section)
BuildRequires:  perl(Dist::Zilla::Role::Plugin)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(List::UtilsBy)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test::More) >= 0.89
BuildRequires:  perl(version)
Requires:       perl(Dist::Zilla::Role::Plugin)
Requires:       perl(List::UtilsBy)
Requires:       perl(Moose::Role)
Requires:       perl(Path::Tiny)
Requires:       perl(version)
Recommends:     perl(Path::Tiny) >= 0.058
%{perl_requires}

%description
This module is a role that aims to be consumed by plugins that want to
perform some very early bootstrap operation that may affect the loading
environment of successive plugins, especially with regards to plugins that
may wish to build with themselves, either by consuming the source tree
itself, or by consuming a previous built iteration.

Implementation is quite simple:

* 1. 'with' this role in your plugin

  with 'Dist::Zilla::Role::Bootstrap'

* 2. Implement the 'bootstrap' sub.

  sub bootstrap {
    my ( $self ) = @_;
  }

* 3. _Optional_: Fetch the discovered 'bootstap' root via:

  $self->_bootstap_root

* 4. _Optional_: Load some path into '@INC' via:

  $self->_add_inc($path)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu May  5 2016 coolo@suse.com
- updated to 1.001003
  see /usr/share/doc/packages/perl-Dist-Zilla-Role-Bootstrap/Changes
  1.001003 2016-04-29T22:50:28Z be1b807
  - Simplifed MetaConfig generation
  - $VERSION added to MetaConfig ( This is typically lost due to hiding in roles
  [Dependencies::Stats]
  - Dependencies changed since 1.001002, see misc/*.deps* for details
  - configure: ↓1
  - develop: +2 ↑2 (suggests: ↑1)
  - runtime: ↓1 -1
  - test: ↓1
* Sun Jul 12 2015 coolo@suse.com
- updated to 1.001002
  see /usr/share/doc/packages/perl-Dist-Zilla-Role-Bootstrap/Changes
  1.001002 2015-07-01T04:05:24Z 66d4baf
  [Bugfix]
  - Bodge around testers with broken mtime implementations by agressively trying to make files with seperate mtimes and
    then skipping all the tests if that isnt possible, with a grace window of up to 5 seconds to get it right.
  [Dependencies::Stats]
  - Dependencies changed since 1.001001, see misc/*.deps* for details
  - develop: +2 (suggests: ↑1)
  1.001001 2015-06-29T09:03:38Z ab79bd2
  [Bugfix]
  - Add diagnostics on mtime test to see why it failed.
  [Dependencies::Stats]
  - Dependencies changed since 1.001000, see misc/*.deps* for details
  - develop: +1 ↑3 -1 (suggests: ↑2)
* Fri Apr 17 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
